.input-group {
  .form-control:not(:first-child) {
    &.react-datepicker-wrapper .form-control {
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
    }
  }

  .select-2-control {
    flex: 1 1 auto;
    width: 1%;

    .select-2__control {
      border-radius: .25rem;

      &--is-focused {
        color: #495057;
        background-color: #fff;
        border-color: #80bdff;
        outline: 0;
        box-shadow: inset 0 0 0 transparent;
      }
    }

    &:not(:first-child) {
      .select-2__control {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
      }
    }

    &:not(:last-child) {
      .select-2__control {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
      }
    }

    .select-2__clear-indicator {
      cursor: pointer;
    }
  }
}

.input-group:not(.has-validation):has(> .invalid-feedback) {
  >.form-control:nth-last-child(2) {
    border-top-right-radius: .25rem;
    border-bottom-right-radius: .25rem;
  }

  >.select-2-control:nth-last-child(2) {
    .select-2__control {
      border-top-right-radius: .25rem;
      border-bottom-right-radius: .25rem;
    }
  }
}


.input-group.custom-switch {
  padding-left: 45px;

  .custom-control-label {
    cursor: pointer;
  }
}

.form-control.disabled {
  background-color: #e9ecef;
  opacity: 1;
  cursor: no-drop;
}

.form-control.fake-form-control {
  min-height: calc(2.25rem + 2px);
  height: auto;
}